"Czech (qwerty)" layout has " instead of ß in the 4th level

Bug #953477 reported by Václav Šmilauer on 2012-03-12
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xkeyboard-config
Fix Released
Medium
xkeyboard-config (Ubuntu)
High
Unassigned

Bug Description

[Impact]
In precise, a new version of /usr/share/X11/xkb/symbols/cz appears. The alternative "Czech (qwerty)" layout redefines <AC11> key, overriding the definition of "Czech" (the base layout). Thus, there is no ß in that layout, making it unusable for writing German texts.

Not sure if this is a good place to discuss it, but the 3rd level of the czech layout contains all characters needed to write German texts; omission of ß in favor of " (which is in the 2nd level of AC10 already by standard) defeats that purpose.

[Fix]
Workaround is to change that key back to include "ssharp":

--- cz.orig 2012-03-12 23:07:40.292135311 +0100
+++ cz 2012-03-12 23:08:15.700137025 +0100
@@ -90,7 +90,7 @@

     key <AB01> { [ z, Z, degree, NoSymbol ] };
     key <AC10> { [ uring, quotedbl, semicolon, colon ] };
- key <AC11> { [ section, exclam, apostrophe, quotedbl ] };
+ key <AC11> { [ section, exclam, apostrophe, ssharp ] };
     key <AD06> { [ y, Y, NoSymbol, NoSymbol ] };
     key <AD11> { [ uacute, slash, bracketleft, braceleft ] };
     key <AD12> { [parenright, parenleft, bracketright, braceright ] };

[Test Case]
1. In keyboard layout settings, set Czech (qwerty) layout
2. Hold the fourth level key (Shift+Windows or however you've configured it)
3. Hit the section key (§, 2 keys right of the L key on czech keyboards, or the ' key on us keyboards)
Broken behavior: " printed
Expected behavior: ß printed

[Regression Potential]
The patch only changes the czech keyboard layout, so the scope of regression risk is limited to that. This changes a specific key mapping; possibly some users may have gotten used to typing Shift+Windows+§ for ", but as mentioned in the bug report Shift+' gives the equivalent function with one fewer key press.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xkb-data 2.5-1ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-18.29-generic 3.2.9
Uname: Linux 3.2.0-18-generic x86_64
ApportVersion: 1.94.1-0ubuntu2
Architecture: amd64
Date: Mon Mar 12 23:01:55 2012
Dependencies:

DistUpgraded: Log time: 2012-03-11 11:17:23.082591
DistroCodename: precise
DistroVariant: ubuntu
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: LENOVO 3680D79
PackageArchitecture: all
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-18-generic root=UUID=2fb6c33e-a177-47ef-b0f4-7ed9711f2114 ro quiet splash vt.handoff=7
SourcePackage: xkeyboard-config
UpgradeStatus: Upgraded to precise on 2012-03-11 (1 days ago)
dmi.bios.date: 04/26/2010
dmi.bios.vendor: LENOVO
dmi.bios.version: 6QET45WW (1.15 )
dmi.board.name: 3680D79
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: 6900025198
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6QET45WW(1.15):bd04/26/2010:svnLENOVO:pn3680D79:pvrThinkPadX201:rvnLENOVO:rn3680D79:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 3680D79
dmi.product.version: ThinkPad X201
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.7.0~bzr2995-0ubuntu5
version.ia32-libs: ia32-libs 20090808ubuntu33
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.1-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.1-0ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.99.901+git20120126-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Václav Šmilauer (eudoxos) wrote :

This commit http://cgit.freedesktop.org/xkeyboard-config/commit/?id=d7a239e3a0a2af299b746bc478653e573d172699 mapped 3rd level of the AC11 key to quotedbl, but it should be ssharp to match the "Czech" layout.

This bug was originally reported at https://bugs.launchpad.net/ubuntu/+source/xkeyboard-config/+bug/953477.

Changed in xkeyboard-config:
importance: Unknown → Medium
status: Unknown → Confirmed

wait a sec, quotebl is on the 4th level of AC11. The 3rd level is apostrophe. Which one do you want to change?

My apologies, I meant 4th level; I changed the bug title accordingly.

summary: - "Czech (qwerty)" layout has " instead of ß in the 3rd level
+ "Czech (qwerty)" layout has " instead of ß in the 4th level

Right, fixed!

Changed in xkeyboard-config:
status: Confirmed → Fix Released
Bryce Harrington (bryce) on 2012-04-30
Changed in xkeyboard-config (Ubuntu):
status: New → Triaged
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xkeyboard-config - 2.5-1ubuntu3

---------------
xkeyboard-config (2.5-1ubuntu3) quantal; urgency=low

  * Add 111_cz_ssharp.patch: Fix mapping of 4th level of the AC11 key to
    ssharp rather than quotedbl for the Czech layout. Cherrypick of
    patch from upstream.
    (LP: #953477)
  * Add 112_dk_dvorak_tilde.patch: Fix tilde key in the Danish Dvorak
    layout. It's not the same as Norwegian as has been assumed previously.
    (LP: #989626)
 -- Bryce Harrington <email address hidden> Mon, 04 Jun 2012 18:11:53 -0700

Changed in xkeyboard-config (Ubuntu):
status: Triaged → Fix Released
Bryce Harrington (bryce) on 2012-06-05
description: updated

Hello Václav, or anyone else affected,

Accepted xkeyboard-config into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Steve Langasek (vorlon) wrote :

Bug #1013881 is reported as a regression in xkeyboard-config 2.5-1ubuntu1.2 related to the change for bug #221112. Marking this SRU as verification-failed.

tags: added: verification-failed
removed: verification-needed
Václav Šmilauer (eudoxos) wrote :

I installed the version from precise-proposed and confirm that this bug is fixed and can be closed.

#1013881 and #221112 anre related to french layout and cannot be affected by this fix.

Sebastien Bacher (seb128) wrote :

@Steve: that's not a regression but a tradeoff, we basically go back to the situation we had in lucid, it's just that patch got dropped at some point by error

tags: added: verification-done
removed: verification-failed
tags: added: verification-failed
removed: verification-done
Sebastien Bacher (seb128) wrote :

setting back to verification-failed to avoid any move until we have the question sorted

Chris Halse Rogers (raof) wrote :

Hello Václav, or anyone else affected,

Accepted xkeyboard-config into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xkeyboard-config/2.5-1ubuntu1.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-failed
tags: added: verification-needed
Steve Langasek (vorlon) on 2012-07-03
tags: added: verification-done
removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.